# QXmlContentHandler Class Reference

### [com.trolltech.qt.xml package]

### Constructor

- void QXmlContentHandler()

### Constructor Properties

- prototype: The QXmlContentHandler prototype object

### Prototype Object Properties

- bool characters(String ch)
- bool endDocument()
- bool endElement(String namespaceURI, String localName, String qName)
- bool endPrefixMapping(String prefix)
- String errorString()
- bool ignorableWhitespace(String ch)
- bool processingInstruction(String target, String data)
- void setDocumentLocator(QXmlLocator locator)
- bool skippedEntity(String name)
- bool startDocument()
- bool startElement(String namespaceURI, String localName, String qName, QXmlAttributes atts)
- bool startPrefixMapping(String prefix, String uri)

### Instance Properties

QXmlContentHandler objects have no special properties beyond those inherited from the QXmlContentHandler prototype object.